petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSortInt

Sorts an array of integers in place in increasing order.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortInt(PetscInt n,PetscInt i[])

Not Collective

### Input Parameters

| n | - number of values
| i | - array of integers

### See Also

PetscSortReal(), PetscSortIntWithPermutation()

### Level

intermediate

### Location

src/sys/utils/sorti.c

### Examples

src/sys/classes/random/examples/tutorials/ex1.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages